using System;
using System.ComponentModel.DataAnnotations;

namespace StarsAssistant.Model;

public class Game
{
    /// <summary>
    /// Dummy primary key, normally not used, but makes working with EF easier.
    /// </summary>
    public int GameId { get; set; }

    /// <summary>
    /// The base path in which all game files reside.
    /// </summary>
    public string GamePath { get; set; } = String.Empty;

    /// <summary>
    /// The base name without extensions of your game, inside the GamePath folder.
    /// All dependant files are resolved using this name.
    /// </summary>
    public string BaseName { get; set; } = String.Empty;
}
